> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-geopard-api/43.-query-ziskat-pole.md).

# 43. Query Získat „Pole“

Dotaz pro získání uživatelských „Polí“ s filtry podle `štítků`, `farmUuid`, `fieldUuid`, `jménaPole`. Pole jsou vrácena v abecedním pořadí podle názvu pole.&#x20;

Filtr polí funguje jako podmínka AND, např. je možné filtrovat podle `farmUuid` a podle `fieldUuid` a podle `štítků` a podle `jménaPole` v jednom dotazu nebo použít pouze jednu filtrační podmínku nebo nepoužít žádnou podmínku.&#x20;

Filtrovat podle `jménaPole` funguje jako `začíná_s`.&#x20;

Pro implementaci stránkování použijte parametr dotazu `velikostStránky`. V odpovědi jsou `posledníVyhodnocenýKlíč` a `celkovýPočet` , kde `posledníVyhodnocenýKlíč` odkazuje na poslední zpracovaný záznam vyhovující filtru a `celkovýPočet` je celkový počet záznamů, které odpovídají filtračním podmínkám.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz FiltrPoli {
  získatPolíčka(
    filtr: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      štítky: [{ název: "name1", hodnota: "value1" }]
      velikostStránky: 2
      posledníVyhodnocenýKlíč: {
        TřídicíKlíč: "<nějaký_klíč>"
        OddílKlíče: "<nějaký_klíč>"
        ŘetězecŠtítku: "<nějaký_klíč>"
      }
      jménoPole: "Ukázka"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      název
      labels {
        název
        value
      }
      celkovýPočet
    }
    posledníVyhodnocenýKlíč {
      TřídicíKlíč
      OddílKlíče
      ŘetězecŠtítku
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-geopard-api/43.-query-ziskat-pole.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
